# A reference example for the MYY301 course 

This is a prj with a very small code base, yet with the opportunity to highlight folder structure, and early architectural decisions.
Here we discuss the simple version without interfaces and factories.

Assume a pizzeria with 2 use cases

1. Add Order
2. Report summary info per pizza type

## Add order
For every order, we record pizza type and the number of pizzas ordered

Pizza Type| amt|

| ---- |----| 

|Nice pizza|	4|

|Super pizza|	1|

|Nice pizza|	3|

|Nice pizza|	1|

|Super pizza|	2|


## Produce report
For every pizza type, report number of orders, total number of ordered pizzas and total sales (assumes that all pizzas have a price of 10 Euros)